> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zapthinker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Handle Label



## OpenAPI

````yaml openapi-v2 POST /label/handleLabel/{instanceName}
openapi: 3.0.3
info:
  title: ZapThinker API
  version: 2.1.1
servers:
  - url: https://api.zapthinker.com
security: []
paths:
  /label/handleLabel/{instanceName}:
    post:
      tags:
        - Label
      summary: Handle label
      operationId: postLabelHandleLabelByInstanceName
      parameters:
        - name: instanceName
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - number
                - labelId
                - action
              properties:
                number:
                  type: string
                labelId:
                  type: string
                action:
                  type: string
                  enum:
                    - add
                    - remove
          application/x-www-form-urlencoded:
            schema:
              type: object
              required:
                - number
                - labelId
                - action
              properties:
                number:
                  type: string
                labelId:
                  type: string
                action:
                  type: string
                  enum:
                    - add
                    - remove
          multipart/form-data:
            schema:
              type: object
              required:
                - number
                - labelId
                - action
              properties:
                number:
                  type: string
                labelId:
                  type: string
                action:
                  type: string
                  enum:
                    - add
                    - remove
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````